# SWDB

# \Decoration

A Decoration.

Represents an object from the table 'decoration'.

## Summary

Methods
Properties
Constants
__construct()
$db
$uid
$decoration
$level
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  application/entity/Decoration.php
Package
  Default
Class hierarchy
  \Entity
  \Decoration

## Tags

category | Entity

## Properties

### $db

    $db : resource

#### Type

resource — Database connection.

#

Inherited from
  \Entity

## Tags

None found

### $uid

    $uid : integer

#### Type

integer — player identifier.

#

## Tags

None found

### $decoration

    $decoration : \K_Decoration

#### Type

\K_Decoration — Base decoration.

#

## Tags

None found

### $level

    $level : integer

#### Type

integer — decoration level.

#

## Tags

None found

## Methods

### __construct()

    __construct(resource  $db, integer  $id)

Constructor.

Searches the database and retrieves the information about the decoration, populating it and it's items.

#### Parameters

resource | $db | Connection to the database.
integer | $id | Building identifier.

#

## Tags

None found

### Decoration.php